#include "Debug.h"
#include "DEV_Config.h"
#include "SHTC3.h"


void setup() {
  DEV_ModuleInit();
  SHTC3_Init();
}

void loop() {
  int16_t id;
  bool crc_res;
  float temp, hum;
  crc_res = SHTC3_Measurement(&temp, &hum);
  id = SHTC3_Read_Id();
  if (id == -1 || crc_res == false) {
    Serial.printf("Error： Measurement CRC8 check failure \r\n");
  }
        Serial.printf( "SHTC3 ID : 0x%x\r\n", id);
        Serial.printf( "TEMP : %.2f℃\r\n", temp);
        Serial.printf( "RH   : %.2f%\r\n", hum);
  DEV_Delay_ms(1000);
}
