#ifndef _DEV_CONFIG_H_
#define _DEV_CONFIG_H_
/***********************************************************************************************************************
			------------------------------------------------------------------------
			|\\\																///|
			|\\\					Hardware interface							///|
			------------------------------------------------------------------------
***********************************************************************************************************************/
#include "Arduino.h"
//#include <avr/pgmspace.h>
#include "Wire.h"

#include "Debug.h"


#define DEV_SPI 0
#define DEV_I2C 1

/**
 * data
**/


#define INT_PIN 8


/**
 * GPIO read and write
**/
#define DEV_Digital_Write(_pin, _value) digitalWrite(_pin, _value == 0? LOW:HIGH)
#define DEV_Digital_Read(_pin) digitalRead(_pin)

/*------------------------------------------------------------------------------------------------------*/
uint8_t DEV_ModuleInit(void);
void  DEV_ModuleExit(void);

void DEV_I2C_Init(uint8_t Add);

void I2C_Write_Byte(uint8_t Cmd, uint8_t value);
int I2C_Read_Byte(uint8_t Cmd);

int I2C_Read_Word(uint8_t Cmd);

void I2C_Write_Nbyte(uint8_t *data, uint8_t num);
uint16_t I2C_Read_Nbyte(uint16_t num);
void DEV_GPIO_Mode(uint16_t Pin, uint16_t mode);


void DEV_Delay_ms(uint32_t xms);


#endif
