/******************************************************************************
**************************Hardware interface layer*****************************
  | file        : DEV_Config.cpp
  | version     : V1.0
  | date        : 2020-06-16
  | function    : Provide the hardware underlying interface
******************************************************************************/
#include "DEV_Config.h"

/********************************************************************************
  function: System Init and exit
  note:
  Initialize the communication method
********************************************************************************/
uint8_t System_Init(void)
{

  //set Serial
  Serial.begin(115200);
  Wire1.setClock(2000000);
  Wire1.setSDA(6);
  Wire1.setSCL(7);
  Wire1.begin();


  return 0;

}


void I2C1_Write_Byte(uint8_t Cmd,uint8_t value)
{
  uint8_t Addr = 0x3d;
  Wire1.beginTransmission(Addr);
  Wire1.write(Cmd);
  Wire1.write(value);
  Wire1.endTransmission();
}

void I2C1_Write_nByte_data(uint8_t Cmd,const uint8_t* pdata,uint16_t len)
{
  uint8_t Addr = 0x3d;
  Wire1.beginTransmission(Addr);
  Wire1.write(Cmd);
  for(;len>0;len--)
  {
    Wire1.write(*pdata++);
    if(len%(0xff) == 0)
    {
      Wire1.endTransmission();
      // Driver_Delay_ms(1);
      Wire1.beginTransmission(Addr);
      Wire1.write(Cmd);
    }
            
  }
  Wire1.endTransmission();
}

/********************************************************************************
  function: Delay function
  note:
  Driver_Delay_ms(xms) : Delay x ms
  Driver_Delay_us(xus) : Delay x us
********************************************************************************/
void Driver_Delay_ms(unsigned long xms)
{
  delay(xms);
}

void Driver_Delay_us(int xus)
{
  for (int j = xus; j > 0; j--);
}
