/******************************************************************************
**************************Hardware interface layer*****************************
* | file      	:	DEV_Config.h
* |	version		  :	V1.0
* | date		    :	2020-06-16
* | function	  :	Provide the hardware underlying interface	
******************************************************************************/
#ifndef _DEV_CONFIG_H_
#define _DEV_CONFIG_H_

#include <Wire.h>
/**
 * data
**/
#define UBYTE   uint8_t
#define UWORD   uint16_t
#define UDOUBLE uint32_t
#define USE_IIC     1

#define IIC_CMD        0X00
#define IIC_RAM        0X40



/*------------------------------------------------------------------------------------------------------*/
uint8_t System_Init(void);

void I2C1_Write_Byte(uint8_t value, uint8_t Cmd);
void I2C1_Write_nByte_data(uint8_t Cmd,const uint8_t* pdata,uint16_t len);
void Driver_Delay_ms(unsigned long xms);
void Driver_Delay_us(int xus);

#endif
