#include "nec_transmit.h"
#include "nec_receive.h"
#define IR_RX_Pin (15)
#define IR_TX_Pin (16)
int nec_rx_sm;
void setup()
{
	if (!nec_rx_init(IR_RX_Pin))
	{

		while (1)
		{
			Serial.printf("IR RX INIT\r\n");
		}
	}
	if (!nec_tx_init(IR_TX_Pin))
	{
		while (1)
		{
			Serial.printf("IR TX INIT\r\n");
		}
	}
}

void loop()
{
	uint8_t tx_address, tx_data;
	uint8_t rx_address, rx_data;
	for (tx_address = 0; tx_address < 0xff; tx_address++)
	{
		for (tx_data = 0; tx_data < 0xff; tx_data++)
		{
			nec_transmit_data(tx_address, tx_data);
			delay(100);
			while (nec_receive_available())
			{
				nec_receive_data(&rx_address, &rx_data);
				Serial.println("/**********************************************/");
				Serial.printf("IR TX addr= 0x%02x,data= 0x%02x \r\n", tx_address, tx_data);
				Serial.printf("IR RX addr= 0x%02x,data= 0x%02x \r\n", rx_address, rx_data);
				if ((tx_address == rx_address) && (tx_data == rx_data))
				{
					Serial.printf("IR_RX&IR_TX TEST PASS!!\r\n");
				}
				else
				{
					Serial.printf("ERROR:IR_RX&IR_TX DATA ERROR!!\r\n");
					Serial.printf("ERROR:IR_RX&IR_TX DATA ERROR!!\r\n");
				}
				delay(900);
				Serial.println();
				Serial.println();
			}
		}
	}
}