/*****************************************************************************
* | File      	:   I2C0-MOTOR-DRIVER.c
* | Author      :   Waveshare Team
* | Function    :
* | Info        :
*----------------
* |	This version:   V1.0
* | Date        :   2023-02-01
* | Info        :
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documnetation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to  whom the Software is
# furished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS OR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
******************************************************************************/
#include <stdio.h>
#include "pico/stdlib.h"
#include "DEV_Config.h"
#include "GUI_Paint.h"
#include "OLED_1in5.h"
#include "MotorDriver.h"
/******************************************************************************
function: main
info:   The motors on the four ports A, B, C, 
        and D are sequentially driven to turn forward for one second 
        with duty cycle of 25%, 50%, 75%, and 100%, respectively
parameter:
******************************************************************************/
int main()
{
    DEV_Module_Init();
    printf("MOTOR TEST");
    // Initialize the motor drive
    Motor_Init();
    printf("Motor_Init\r\n");
    
    printf("Motor_Run\r\n");
    // MOTORA turn forward with duty cycle of 25%
    Motor_Run(MOTORA, FORWARD, 25);
    DEV_Delay_ms(1000);
    Motor_Run(MOTORA, FORWARD, 0);
    // MOTORB turn forward with duty cycle of 50%
    Motor_Run(MOTORB, FORWARD, 50);
    DEV_Delay_ms(1000);
    Motor_Run(MOTORB, FORWARD, 0);
    // MOTORC turn forward with duty cycle of 75%
    Motor_Run(MOTORC, FORWARD, 75);
    DEV_Delay_ms(1000);
    Motor_Run(MOTORC, FORWARD, 0);
    // MOTORD turn forward with duty cycle of 100%
    Motor_Run(MOTORD, FORWARD, 100);
    DEV_Delay_ms(1000);
    Motor_Run(MOTORC, FORWARD, 0);
    return 0;
}
