/*****************************************************************************
* | File      	:   I2C0-VOC.c
* | Author      :   Waveshare Team
* | Function    :
* | Info        :
*----------------
* |	This version:   V1.0
* | Date        :   2023-02-01
* | Info        :
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documnetation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to  whom the Software is
# furished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS OR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
# THE SOFTWARE.
******************************************************************************/
#include <stdio.h>
#include "pico/stdlib.h"
#include "OLED_1in5.h"
#include "GUI_Paint.h"
#include "DEV_Config.h"
#include "SGP40.h"
/******************************************************************************
function: main
info:   Read the sensor raw value and calculate the VOL through the library function
parameter:
******************************************************************************/
int main()
{
    uint8_t *BlackImage;
    uint16_t Imagesize = ((OLED_1in5_WIDTH % 2 == 0) ? (OLED_1in5_WIDTH / 2) : (OLED_1in5_WIDTH / 2 + 1)) * OLED_1in5_HEIGHT;

    if (DEV_Module_Init() != 0)
    {
        return -1;
    }
    //Initialize the OLED
    OLED_1in5_Init();
    OLED_1in5_Clear(0);
    // Initialize the VOL sensor
    SGP40_init();
    if ((BlackImage = (uint8_t *)malloc(Imagesize)) == NULL)
    {
        while (1)
        {
            printf("Failed to apply for black memory...\r\n");
        }
    }
    printf("Paint_NewImage\r\n");
    Paint_NewImage(BlackImage, OLED_1in5_WIDTH, OLED_1in5_HEIGHT, 0, WHITE);
    Paint_SetScale(16);
    Paint_SelectImage(BlackImage);
    
    while (1)
    {
        uint32_t voc;
        char str[20];
        Paint_Clear(BLACK);
        // raed raw and calculate the VOL
        voc = SGP40_MeasureVOC(25, 50);
        printf("\r\n /-------------------------------------------------------------/ \r\n");
        printf("\r\n SGP40_MeasureVOC : %d\r\n",voc);
        Paint_DrawString_EN(5, 10, "VOC TEST", &Font12, WHITE, BLACK);
        Paint_DrawString_EN(5, 25, "IC:SGP40", &Font12, WHITE, BLACK);

        sprintf(str, "VOC : %d ", voc);
        Paint_DrawString_EN(5, 40, str, &Font12, WHITE, BLACK);
        OLED_1in5_Display(BlackImage);
    }
    return 0;
}
